Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 971188 - Console log lacks dashes.
Summary: Console log lacks dashes.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 3.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: z2
: 3.0
Assignee: Xavier Queralt
QA Contact: Ami Jeain
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-06 00:18 UTC by Jaroslav Henner
Modified: 2015-06-04 21:51 UTC (History)
8 users (show)

Fixed In Version: openstack-nova-2013.1.3-1.el6ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-03 20:19:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1194032 None None None Never
OpenStack gerrit 34166 None None None Never
Red Hat Bugzilla 974222 None None None Never
Red Hat Bugzilla 984311 None None None Never
Red Hat Bugzilla 999164 None None None Never
Red Hat Product Errata RHSA-2013:1199 normal SHIPPED_LIVE Moderate: openstack-nova security and bug fix update 2013-09-04 00:16:56 UTC

Internal Links: 974222 984311 999164

Description Jaroslav Henner 2013-06-06 00:18:58 UTC
Description of problem:
Something eats dashes from the console log displayed in Horizon


Version-Release number of selected component (if applicable):
openstack-nova-common-2013.1.1-3.el6ost.noarch
openstack-nova-compute-2013.1.1-3.el6ost.noarch

How reproducible:
Always

Steps to Reproduce:
1. echo abc-def > /ttyS0


Actual results:
abcdef in console log

Expected results:
abc-def in console log

Additional info:

Comment 2 Xavier Queralt 2013-06-24 07:48:50 UTC
The problem is a small typo in the regular expression used in console-log to filter the characters and caused the dash to be introduced in that list. I've just proposed the fix upstream that fixes that.

Comment 3 Xavier Queralt 2013-07-25 13:31:49 UTC
Fixed in havanna and grizzly

Comment 4 Xavier Queralt 2013-07-29 16:05:01 UTC
Will be included in stable/grizzly 2013.1.3 release.

Comment 9 Jaroslav Henner 2013-08-19 13:35:40 UTC
after doing
# echo 'ěščřž\|-' > /dev/ttyS0
on guest, I can see
nova console-log foo --length 1024
... (other lines)
?????\|-

So I like dashes are left unchanged. This was the topic of this bug so I think I can set it to VERIFIED.

Comment 10 Nir Magnezi 2013-08-20 10:44:14 UTC
Verified NVR: openstack-nova-common-2013.1.3-1.el6ost.noarch

Verification Steps:
===================
1. Launched a rhel based instance.
2. as root: echo abc-def /dev/ttyS0

Result:
=======
abc-def appears with the dashes in console log

Comment 12 errata-xmlrpc 2013-09-03 20:19:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1199.html


Note You need to log in before you can comment on or make changes to this bug.